org.vishia.gral.ifc

## Class GralCanvasStorage.PolyLineFloatArray

- java.lang.Object
- - org.vishia.gral.ifc.GralCanvasStorage.PaintOrder
  - - org.vishia.gral.ifc.GralCanvasStorage.PolyLineFloatArray

- Enclosing class:
    GralCanvasStorage

      public static class GralCanvasStorage.PolyLineFloatArray
      extends GralCanvasStorage.PaintOrder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `implStore`
    `private int` | `iy`
    `private float[][]` | `points`
    `(package private) GralPlotArea.UserUnits` | `userUnits`

    - ### Fields inherited from class org.vishia.gral.ifc.GralCanvasStorage.PaintOrder

      `color, paintWhat, pos, x1, x2, y1, y2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolyLineFloatArray(GralColor color, GralPlotArea.UserUnits userUnits, float[][] points, int iy)` Creates an Paint order which paints a line from array points.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getImplStore()` Gets the implementation specific instance.
    `int[]` | `getImplStoreInt1Array()` Gets the implementation specific instance.
    `void` | `setImplStore(java.lang.Object store)` Sets any instance which stores implementation specific data.

    - ### Methods inherited from class org.vishia.gral.ifc.GralCanvasStorage.PaintOrder

      `getImplData, setImplData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### points

          private final float[][] points

    - #### iy

          private final int iy

    - #### userUnits

          final GralPlotArea.UserUnits userUnits

    - #### implStore

          private java.lang.Object implStore

  - ### Constructor Detail

    - #### PolyLineFloatArray

          public PolyLineFloatArray(GralColor color,
                                    GralPlotArea.UserUnits userUnits,
                                    float[][] points,
                                    int iy)

      Creates an Paint order which paints a line from array points.
      Parameters:
        `color` -
        `userUnits` -
        `points` - The elements[...][0] contains the x-value. The elements[...][iy] contains the y-value.

  - ### Method Detail

    - #### setImplStore

          public void setImplStore(java.lang.Object store)

      Sets any instance which stores implementation specific data. This method should only called by the implementation layer.

    - #### getImplStore

          public java.lang.Object getImplStore()

      Gets the implementation specific instance.

    - #### getImplStoreInt1Array

          public int[] getImplStoreInt1Array()

      Gets the implementation specific instance.